Name:           perl-Net-SSH
Version:        0.08
Release:        5%{?dist}
Summary:        Perl extension for secure shell
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-SSH/
Source0:        http://www.cpan.org/authors/id/I/IV/IVAN/Net-SSH-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       openssh-clients

%description
This module implements a Perl interface to ssh.  It is a simple
wrapper around the system `ssh' command.  For an all-perl
implementation that does not require the system `ssh' command, see
Net::SSH::Perl.

%prep
%setup -q -n Net-SSH-%{version}
chmod 644 Changes README SSH.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Net
%{_mandir}/man3/Net::SSH.3*

%changelog
* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.08-5
- Reformat to match cpanspec output.
- Canonicalize Source0 URL.
- Fix find option order.
- Use fixperms macro instead of our own chmod incantation.
- Remove check macro cruft.
- BR ExtUtils::MakeMaker.

* Mon Aug 27 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.08-4
- Rebuild for FC6

* Thu Jun 08 2006 Michael J. Knox <michael[AT]knox.net.nz> - 0.08-3
- rebuilt and spec clean.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Thu Dec 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.08-1
- Update to 0.08.
- Sync with fedora-rpmdevtools' Perl spec template to fix x86_64 build.

* Tue Jan 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.07-0.fdr.5
- Fix documentation and module permissions (#65).
- Run tests in the %%check section.

* Wed Oct 29 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.07-0.fdr.4
- Specfile cleanup.

* Sun Aug 31 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.07-0.fdr.3
- Install into vendor dirs.
- Improved summary and description.

* Sun May  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.07-0.fdr.2
- Own more dirs.

* Sat Mar 22 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.07-0.fdr.1
- Update to current Fedora guidelines.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.07-1.fedora.1
- First Fedora release.
